/*------------------------------------------------------------------
[Main Stylesheet]

Project: Net-Empregos
Version: 1.1.0
-------------------------------------------------------------------*/

/** Custom and ovewritten classes for net-empregos **/

  /* GPT */
.btn-primary-gradient {
background: linear-gradient(45deg, #007bff, #6f42c1);
border: none;
color: #fff;
margin: 5px;
}
.btn-primary-gradient:hover {
background: linear-gradient(45deg, #0056b3, #5a32a3);
color: #fff; /* mantém a cor do texto inalterada no hover */
}

.chat-box {
    /*max-width: 700px;*/
    /*margin: 2rem auto;*/
    padding: 1rem;
    width: 100%;
  }

  .input-wrapper {
    position: relative;
  }

  .chat-input {
    border-radius: 1rem;
    border: 1px solid #ced4da;
    padding: 1rem 3rem 1rem 1rem;
    resize: none;
    box-shadow: none;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
    width: 100%;
  }

  .chat-input:focus {
    border-color: #6f42c1;
    box-shadow: 0 0 0 0.2rem rgba(111, 66, 193, 0.25);
  }

  .send-button {
    position: absolute;
    right: 10px;
    bottom: 10px;
  
    background: linear-gradient(135deg, #6f42c1, #007bff);
    border: none;
    color: white;
  
    /* 1. Dimensões retangulares */
    width: 100px;
    height: 40px;
  
    /* 2. Cantos arredondados estilo "pill" */
    border-radius: 20px; /* ou border-radius: 9999px; */
  
    /* 3. centralização do ícone/texto */
    display: flex;
    align-items: center;
    justify-content: center;
  
    cursor: pointer;
  }
  

  .send-button:hover {
    opacity: 0.9;
  }

  #output {
    margin-top: 1.5rem;
    font-size: 1.1rem;
  }

  /* GPT */

.news {
    width: 160px
}

.news-scroll a {
    text-decoration: none;
    font-size: 20px;
}

.dot {
    height: 15px;
    width: 15px;
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 2px !important;
    background-color: rgb(255, 136, 0);
    border-radius: 50%;
    display: inline-block
}

.btn-ripple {
	display: inline-block;
	position: relative;
	overflow: hidden;
	transition: all ease-in-out .5s;
}

.btn-ripple::after {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 25%;
	height: 100%;
	width: 50%;
	background-color: rgb(255, 255, 255);
	border-radius: 50%;
	opacity: 0;
	pointer-events: none;
	transition: all ease-in-out 1s;
	transform: scale(5, 5);
}

.btn-ripple:active::after {
	padding: 0;
	margin: 0;
	opacity: .4;
	transition: 0s;
	transform: scale(0, 0);
}

.modal-header {
    background-color: #eceff1;
    border-color: #d3eaff;
  }


/** Color net-empregos start **/
.dont-break-out {

    /* These are technically the same, but use both */
    overflow-wrap: break-word;
    word-wrap: break-word;
  
    -ms-word-break: break-all;
    /* This is the dangerous one in WebKit, as it breaks things wherever */
    word-break: break-all;
    /* Instead use this non-standard one: */
    word-break: break-word;
  
    /* Adds a hyphen where the word breaks, if supported (No Blink) */
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
  
  }
  
.button-theme-secondary {
    color: #fff;
    background-color: #6c757d;
    outline: none;
}

.button-theme-secondary:hover {
    color: #fff;
}

.button-theme-secondary:hover {    
    background: #545b62;
    text-decoration: none;
}

.button-theme.disabled, .button-theme:disabled { 
  opacity: .65;
  filter:Alpha(opacity=65);
  cursor: default;
}

.text-site {
    color: #C40000 !important;
}

.bg-site {
    color: #C40000 !important;
}
/** Color net-empregos end **/

.sticky-header .navbar-expand-lg .navbar-nav .nav-link i {
    font-size: 15px;
}

/** Search info start **/
.search-info {
    position: relative;
    overflow: hidden;
    max-width: 400px;
    margin: 0px 0px 10px;
    /*background: #ffb300 !important;*/
    /*background: #ffb100 !important;*/
    background: #ec920a  !important;
    top: inherit;
    bottom: inherit;
    display: flex;
    justify-content:;
    align-items: center;
    padding: 0px 30px;
    z-index: 1;
    min-height: 528px;
    box-shadow: 4px 4px 4px 0px rgba(138,138,138,0.4);
}


.search-info::before {
    padding-bottom: 0px;
    opacity: 0.8;
    content: "";
    display: block;
    left: inherit;
    right: inherit;
    top: inherit;
    bottom: inherit;
    height: 590px;
    width: 100%;
    z-index: 1;
    position: absolute;
}

.search-info .banner-inner{
    width: 100%;
    opacity: 1;
    padding-bottom: 20px;
    z-index: 9;
}

.banner .search-info .btn{
    height: 45px;
    border-radius: 5px!important;
}

.banner .search-info .inline-search-area .search-col .form-control, .inline-search-area button.btn-search {
    border-radius: 3px;
    height: 40px;
}

.inline-search-area .search-col .form-control {
    /*padding: 6px 15px;*/
    padding: 6px 30px;
}    

.main-header .logo {
    padding: 15px 0;
    float: left;
}

.main-header .logo-2 {
    padding: 12px 0;
    float: left;
    margin: 0 auto;
}

.main-item .description {
    margin: 0 0 0 15px;
}

h1 {
    font-size: 1.50rem;
}

.ads-300x600 {
    max-width:300px !important; 
    max-height:600px !important; 
    margin: 0px auto 15px;
}

form .alert {
    text-transform: none;
    padding: 10px;
    margin-bottom: 5px !important;
}   

select.form-control:not([size]):not([multiple]) {
    height: inherit !important;
}

.job-item .apply-button {
    background-color: #007bff;
    border-color: #007bff;
    border-radius: 2px;
    letter-spacing: normal;
}

.job-item .apply-button:hover {    
    background-color: #0052aa;
    border-color: #0062cc;
    text-decoration: none
}

.btnFav {
    font-size: 16px;
}

/* Datatables */
.dataTables_filter {
   float: right !important;  
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control:before {
    top: 50%;
    left: 5px;
    height: 22px;
    width: 22px;
    margin-top: -10px;
    display: block;
    position: absolute;
    color: white;
    border: 0px solid white;
    border-radius: 2px;
    box-shadow: 0 0 0px #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: 'Courier New', Courier, monospace;
    line-height: 24px;
    content: " \002B";
    font-weight: bold;
    font-size: x-large;

    background-color: #0275d8;
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
    content: " \2212";
    background-color: #d33333;
}

@media (max-width: 767.98px) { 

    .content-area {
        padding: 100px 0 50px;
    }   

    .contact-section {
        padding: 80px 0 50px;         
    }    

}

@media (min-width: 768px) and (max-width: 991.98px) { 

    .content-area {
        padding: 100px 0 50px;
    }    

    .contact-section {
        padding: 120px 0 50px;         
    }    

}

@media (min-width: 992px) and (max-width: 1199.98px) { 

    .content-area {
        padding: 110px 0 50px;
    }    

    .contact-section {
        padding: 130px 0 50px;        
    }    

}

@media (min-width: 1200px) {
    
    .contact-section {
        padding: 120px 0 50px;                
    }      

}    

@media (min-width: 992px) {
    
    .search-info-candidato {
        min-height: 579px;
        min-height: 525px;
    }

    .search-categoria-candidato {
        height: 100px !important;
    }
    
    .job-item .apply-button {
        top: 45px;
    }

    #ads-300x600-2 {
        display: block;
    }

    #net-hide-desktop {
        display: none;
    }    

    .net-img-logo {
        max-width: 150px; 
        max-height: 80px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;        
    }   

    .net-div-logo {
        min-width: 160px; 
        min-height: 90px;
    }  

    .net-destaque-logo {
        max-width: 180px; 
        max-height: 90px;
        margin: 20px;
        display: block;
        margin-left: auto;
        margin-right: auto;             
    }  

    .net-destaque-logo-small {
        max-width: 120px; 
        max-height: 70px;
        /*margin: 10px;*/
        display: block;
        margin-left: auto;
        margin-right: auto;             
    }  

    .net-div-destaque-logo {
        min-width: 200px; 
        min-height: 100px;
        max-width: 200px; 
        max-height: 100px;    
        margin-bottom: 10px;    
        display: table-cell;
        vertical-align: middle;
        box-shadow: 4px 4px 4px 0px rgba(138,138,138,0.4);
        border-radius: 10px;
    }      
}    

@media (max-width: 991.98px) {
    .search-info-candidato {
        min-height: 508px;
        min-height: 475px;
    }

    .job-details-page {
        padding: 100px 0 10px;
    }

    .ads-300x600 {
        max-width:300px !important; 
        max-height:600px !important; 
        margin: 0px auto 15px;
    }

    #ads-300x600-2 {
        display: none;
    }

    .ads-home {
        margin: 0px auto
    }       

    .nav-link {
        display: block;
        padding: .3rem .6rem;
    }

    .form-anuncio {
        padding: 15px !important;
    }

    .job-item .apply-button {
        display: none;
    }

    #net-hide-mobile {
        display: none;
    }

    .net-img-logo {
        max-width: 80px; 
        max-height: 80px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;           
    }   

    .net-div-logo {
        min-width: 90px; 
        min-height: 90px;    
    } 

    .net-destaque-logo {
        max-width: 90px; 
        max-height: 90px;
        margin: 10px;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }      

    .net-destaque-logo-small {
        max-width: 40px; 
        max-height: 40px;
        margin: 10px;
        display: block;
        margin-left: auto;
        margin-right: auto;
    } 

    .net-div-destaque-logo {           
        min-width: 100px; 
        min-height: 100px;
        max-width: 100px; 
        max-height: 100px;    
        margin-bottom: 5px;    
        display: table-cell;
        vertical-align: middle;   
        box-shadow: 2px 2px 2px 0px rgba(138,138,138,0.4);       
        border-radius: 5px;
    }  
}

.tooltip-inner {background-color: rgb(70, 170, 255);}

input.largerCheckbox {
    width: 25px;
    height: 25px;
}

@keyframes colored-break-line {
	0% {
        border-bottom: 3px solid #92bdec;
        box-shadow: 0px 0px 16px 0px rgb(0 18 105 / 35%);
	}
	50% {
        border-bottom: 3px solid #ff0000;
        box-shadow: 0px 0px 16px 0px rgb(255, 166, 0);
	}
	100% {
        border-bottom: 3px solid #92bdec;
        box-shadow: 0px 0px 16px 0px rgb(0 18 105 / 35%);
	}      
}


/* Icons Inside inputs*/ 
input[type=text] {     
    margin: 8px 0; 
    display: inline-block; 
} 
        
.icon-search-input {
    position: relative;
}
    
.icon-search-input i{
    position: absolute;
    left: 8px;
    top: 20px;
}

.icon-search-input-combo {
    position: relative;
}
    
.icon-search-input-combo i{
    position: absolute;
    left: 8px;
    top: 8px;
}
/* Icons Inside inputs*/ 
